import request from '@/utils/request'
	
/**
 * @Descripttion: 历史搜索Api接口
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-10-09)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-10-09)
*/

// 历史搜索分页查询列表
export function historySearchList(query) {
  return request({
    url: '/business/HistorySearch/getHistorySearchList',
    method: 'get',
    params: query
  })
}

// 历史搜索新增或修改
export function addOrUpdateHistorySearch(data) {
  return request({
    url: '/business/HistorySearch/addOrUpdateHistorySearch',
    method: 'post',
    data: data,
  })
}

// 历史搜索删除
export function delHistorySearch(ids) {
  return request({
    url: '/business/HistorySearch/'+ ids,
    method: 'delete'
  })
}


